return function(button_list, stepstype, skin_parameters)

-- [ja] 現在のビートを取得する
local function YA_NOTESKIN_GetPlayerSongBeat()
	local csteps=GAMESTATE:GetCurrentSteps(GAMESTATE:GetMasterPlayerNumber());
	if csteps then
		local timing=csteps:GetTimingData();
		return timing:GetBeatFromElapsedTime(GAMESTATE:GetSongPosition():GetMusicSeconds());
	else
		return 0;
	end;
end;

-- [ja] 現ステップゾーンアニメーション 
local cur_song;	-- [ja] 現在の楽曲
local chk_song;	-- [ja] 楽曲の切り替わりを取得するための一時記録 
local function YA_NOTESKIN_UpdateReceptor()
	cur_song=GAMESTATE:GetCurrentSong();
	if cur_song and chk_song~=cur_song then
		global_begin = cur_song:GetFirstBeat()-8.0;
		chk_song=cur_song;
	end;
	local global_current=GAMESTATE:GetSongBeat();
	local player_current=YA_NOTESKIN_GetPlayerSongBeat();
	local beat=(player_current*10)%10;
	if global_current>=global_begin then
		if beat>=1 and beat<9 then
			return 1;
		else
			return 0;
		end;
	else
		return 2;
	end;
end;



	local ret= {}
	local rots= {
		Left      = 90,
		Down      = 0,
		Up        = 180,
		Right     = 270,
		UpLeft    = 135,
		UpRight   = 225, 
		DownLeft  = 45,
		DownRight = 315
	}
	local texture = "Down_receptor"
	for i, button in ipairs(button_list) do
		ret[i] = Def.ActorFrame {
			InitCommand = function(self)
				self
					:rotationz(rots[button] or 0)
					:draworder(notefield_draw_order.receptor)
			end,
			WidthSetCommand = function(self, param)
				param.column:set_layer_fade_type(self, "FieldLayerFadeType_Receptor")
			end,
			Def.Sprite {
				Texture = texture,
				InitCommand = function(self)
				--	self:effectclock("beat")
					self:SetAllStateDelays(0.25)
					self:animate(false):setstate(2)
				end,
				ColumnJudgmentCommand = function(self)
					self.none = false
				end,
				BeatUpdateCommand = function(self, param)
					if param.pressed then
						if self.none == true then
							if self.onepress == true then
								self:stoptweening():zoom(.75):linear(.11):zoom(1)
								self.onepress = false
							end
						end
					else
						self:zoom(1)
						self.onepress = true
						self.none = true
					end
					self:setstate(YA_NOTESKIN_UpdateReceptor())
				end,
			},
		}
	end
	return ret
end
